manjaro中安装TIM/QQ/微信报错

先看一下manjaro中安装TIM/QQ/微信的命令

#安装tim
yay -S deepin-wine-tim
或
yay -S com.qq.tim.spark 
#安装QQ
#Linux版的QQ就算了,这里装wine版
yay -S deepin-wine-qq
#安装微信
yay -S deepin-wine-wechat
或
yay -S com.qq.weixin.spark

在我写这篇文章的时候(2021-11-26),上述命令是无法安装成功的,报如下错误:

==> 错误: Cannot find the strip binary required for object file stripping.
==> 错误: Cannot find the strip binary required for object file stripping.
==> 错误: Cannot find the strip binary required for object file stripping.
==> 错误: Cannot find the strip binary required for object file stripping.
 -> 下载源文件时出错: deepin-udis86 
         context: 下载源文件时出错: deepin-udis86 
         context: exit status 15 
       
      
下载源文件时出错: deepin-wine-helper-full 
         context: 下载源文件时出错: deepin-wine-helper-full 
         context: exit status 15 
        

下载源文件时出错: com.qq.tim.spark 
         context: 下载源文件时出错: com.qq.tim.spark 
         context: exit status 15 
         
 
         

下载源文件时出错: deepin-wine5 
         context: 下载源文件时出错: deepin-wine5 
         context: exit status 15 
    
==> 错误: Cannot find the strip binary required for object file stripping.
 -> 生成时出错: deepin-udis86

解决方案是先安装一个包

 sudo pacman -Sy base-devel

再重复上面的安装步骤即可。

欢迎转载,转载请注明出处。

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注